%define		status		stable
%define		pearname	PHPUnit_Story
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Story extension for PHPUnit to facilitate Behaviour-Driven Development
Name:		php-phpunit-PHPUnit_Story
Version:	1.0.1
Release:	1
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.phpunit.de/get/%{pearname}-%{version}.tgz
# Source0-md5:	695f52dc55ce64d863f8e12fcf16e854
URL:		http://pear.phpunit.de/package/PHPUnit_Story/
BuildRequires:	php-channel(pear.phpunit.de)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.9.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(spl)
Requires:	php-channel(pear.phpunit.de)
Requires:	php-pear
Requires:	php-phpunit-PHPUnit >= 3.6.0-0.RC1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Story extension for PHPUnit to facilitate Behaviour-Driven Development

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc docs/PHPUnit_Story/*
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/PHPUnit/Extensions/Story
%changelog
* Wed Oct 17 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-phpunit-PHPUnit_Story.git;a=log;h=master

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> 507c9d3
- up to 1.0.1

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 4de8d5d
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Thu Nov 03 2011 Elan Ruusamäe <glen@pld-linux.org> d7b1a7b
- new

